Bug 190252 - /usr/lib/php/pear used for "noarch" pear RPM.
/usr/lib/php/pear used for "noarch" pear RPM.
Product: Fedora
Classification: Fedora
Component: php-pear (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
Depends On:
Blocks: 190066 php-pear-Log 190156
  Show dependency treegraph
Reported: 2006-04-29 06:14 EDT by Remi Collet
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.4.9-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-17 04:14:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2006-04-29 06:14:11 EDT
Description of problem:
PHP own the %{_libdir}/php/pear which is used to store the XML files of the pear
extensions packages (actualy on DB in the extras, but more will follow). This
extension are noarch, so they probably shouldn't use %{_libdir}

Version-Release number of selected component (if applicable):
Actual results:
On x86_64, php own /usr/lib64/php/pear while php-pear-DB use /usr/lib/php/pear.

A solution is probably to use a directory under %{_datadir}, for example
/usr/share/pear-packages which could then be owned by php-pear.

You could also read the Extras Review Request for php-pear-Mail in Bug #190066

I think i have to wait for this bug before to submit my other RPM.

Comment 1 Jason Tibbitts 2006-04-30 12:04:38 EDT
You should have this bug block your two package submissions.
Comment 2 Tim Jackson 2006-04-30 16:44:55 EDT
I agree that on reflection %{_libdir} was a poor choice. Shame we don't have a
%{_libdirnoarch} or something.

I would suggest putting the XML files somewhere within /usr/share/pear to avoid
creating another namespace. Maybe /usr/share/pear/pkg-xml or similar? I just had
a look to see how PLD do it but they don't seem to bother registering PEAR
modules with the PEAR package database AFAICT (I picked a random couple of specs
from http://cvs.pld.org.pl/SPECS/ )
Comment 3 Aurelien Bompard 2006-04-30 16:54:17 EDT
FYI, Mandriva uses %{_datadir}/pear/packages/%{_pearname}.xml
for example, the other pear packages look the same.
Comment 4 Remi Collet 2006-05-01 03:05:29 EDT
%{_datadir}/pear/something was my first idea, but we have to think that
%{_datadir}/pear is in the include_path of php. So using a directory under this
will make the .XML visible from php scripts (probably not a problem).
Comment 5 Joe Orton 2006-05-02 07:22:42 EDT
OK, let's at least use a .directory in /usr/share/pear, since PEAR is using that
for private stuff already... so...

/usr/share/pear/.rpmxml, /usr/share/pear/.pkgxml, any preferences?
Comment 6 Remi Collet 2006-05-02 07:49:45 EDT
No preference.
/usr/share/pear/.rpmxml seems a good choice.
Comment 7 Tim Jackson 2006-05-02 08:18:59 EDT
I'd tend to go for %{_datadir}/pear/.pkgxml (since it's not really anything to
do with RPMs; the content of the directory is just pure PEAR package XML stuff)
but either would be OK.
Comment 8 Remi Collet 2006-05-06 12:52:16 EDT
So, ok for %{_datadir}/pear/.pkgxml

I'll prepare the spec for my RPM with this.
Comment 9 Joe Orton 2006-05-08 09:39:39 EDT
%{_datadir}/pear/.pkgxml is owned in php-pear-1.4.9-1, on its way to
updates-testing -- please test it out.
Comment 10 Aurelien Bompard 2006-05-14 12:25:58 EDT
php-pear-1.4.9-1 works fine for me.

Note You need to log in before you can comment on or make changes to this bug.